Full documentation for SonarQube has moved to a new location: http://docs.sonarqube.org/display/SONAR

Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 8 Next »

Table of content

How to use

Just add the following parent declaration in your project parent POM :

pom.xml

How to upgrade

Just change the version of the parent pom you used previously. Have a look at each release note of each version you upgrade to see if there are some notable changes which require to modify something in your project.

How to configure

The parent defines and uses a set of cutom properties that can be reused and/or overrided by projects to customize the default behavior of maven defined in the parent pom.

License

TBA

Java version

Icon

This isn't recommended but could be useful.

To work Sonar requires Java 1.5 or later. So, your plugin should work under Java 1.5. However if you really want to have Java 1.6 as target platform, then you can use following configuration :

pom.xml

Changelog

Loading

Version 7 (not released) (9 issues)

  • No labels